//Loop controling routines, (C) Tomasz Kazmierczak 2005, 2006, 2008
//License - GNU GPL v3
//This is not a part of Cytadela - it's just used for debugging and will
//disappear in the final release
#include <stdio.h>
#include "LoopCtrl.h"

const char *filename = "loopctrl.txt";
int refcnt = 0;
void PRE_LOOPfunc(int line, const char *file)
{
	refcnt++;
	FILE *pFile = fopen(filename, "a");
	fprintf(pFile, "PRE: Linia: %d, Plik: %s, wywolan: %d\n", line, file, refcnt);
	fclose(pFile);
}

void AFTER_LOOPfunc()
{
	refcnt--;
	if(refcnt == 0)
		remove(filename);
	if(refcnt < 0)
		fprintf(stderr, "AFTER_LOOP(): refcnt < 0!!!\n");
}
